

class wxMemoryDC;
class wxBitmap;

class LodeMap : public wxWindow
{
public:
	LodeMap(wxWindow* parent, int id);
	~LodeMap();

	void	OnPaint(wxPaintEvent& event);
	void	OnLDown(wxMouseEvent& event);
	void	OnLUp(wxMouseEvent& event);
	void	OnRDown(wxMouseEvent& event);
	void	OnMouseMove(wxMouseEvent& event);
	void	OnCaptureLost(wxMouseCaptureLostEvent& event);

	void	SetLevel(int lev);
	void	SetTile(int tile) { nTile = tile; }

protected:
	void	ChangeTile();
	void	UpdateTile(int x,int y);
	void	Lift();
	wxMemoryDC*		pDC;
	wxBitmap*		pBmp;
	int				nLev;
	int				nTile;

	int				bDragging;
	int				nDragX;
	int				nDragY;

private:
	
	DECLARE_EVENT_TABLE()

};

