
#ifndef __GRAPHIC_H__
#define __GRAPHIC_H__

class wxImage;
class wxBitmap;
class wxDC;
class wxMemoryDC;

class Graphic
{
public:
				Graphic();
				~Graphic();

	void		Load(const unsigned char* buf, const unsigned char* palettes);
	void		Destroy();

	void		DrawTile(int tile,wxDC* dc,int x,int y,int stretch = 0);

protected:
	void		Zero();
	wxImage*	pImg;
	wxBitmap*	pBmp;
	wxMemoryDC*	pDC;
	
	wxImage*	pDblImg;
	wxBitmap*	pDblBmp;
	wxMemoryDC*	pDblDC;
};


#endif